TiffProfileClassIT (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffProfileClassIT

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffProfileClassIT

Direct Known Subclasses:
  TiffProfileClassITBL, TiffProfileClassITBLP1, TiffProfileClassITBP, TiffProfileClassITBPP1, TiffProfileClassITBPP2, TiffProfileClassITCT, TiffProfileClassITCTP1, TiffProfileClassITCTP2, TiffProfileClassITFP, TiffProfileClassITFPP1, TiffProfileClassITFPP2, TiffProfileClassITHC, TiffProfileClassITHCP1, TiffProfileClassITHCP2, TiffProfileClassITLW, TiffProfileClassITLWP1, TiffProfileClassITLWP2, TiffProfileClassITMP, TiffProfileClassITMPP1, TiffProfileClassITMPP2, TiffProfileClassITSD, TiffProfileClassITSDP2

    public abstract class TiffProfileClassIT

extends TiffProfile

Abstract superclass for Tiff Profile Checkers Tiff IP/whatever.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffProfileClassIT()`

Method Summary
`boolean` | `satisfiesThisProfile(IFD ifd)` Returns true if the IFD satisfies the requirements which are common to all Tiff IT profiles.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffProfileClassIT

    public TiffProfileClassIT()

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile(IFD ifd)

  Returns true if the IFD satisfies the requirements which are common to all Tiff IT profiles. Subclasses will call this, then apply additional tests if it returns `true`.

  Specified by:
    `satisfiesThisProfile` in class `TiffProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD